<?php
include '../config.php';
include '../func.php';
head();
aut();
ban();
echo head . 'Фото-подборки' . div;
//грабим
$host= "pda.fishki.net";
$path="/comment.php?".$_SERVER['QUERY_STRING'];
$fp=fsockopen($host,80,$errno, $errstr,10);
if(!$fp) { echo "$errstr ($errno)<br/>\n"; }else{
$data = "";
$post=0; foreach($_POST as $key=>$value){
$post=1; $data.="&$key=$value";} if($data)$data=substr($data,1);
if($post) $headers = "POST $path HTTP/1.0\r\n";else
$headers = "GET $path HTTP/1.0\r\n"; $headers .= "Host: $host\r\n";
$headers .= "Accept: text/html, application/xml;q=0.9, application/xhtml+xml, image/png, image/jpeg, image/gif,image/x-bitmap, */*;q=0.1\r\n";
$headers .= "Accept-Charset: utf-8;q=0.6 windows-1251;q=0.1*;q=0.1\r\n";
$headers .= "Accept-Encoding: utf-8\r\n";
$headers .= "Accept-Language: ru, en;q=0.9\r\n";
$headers .= "User-Agent: ".$_SERVER['HTTP_USER_AGENT']."\r\n";
if($post){ $headers .= "Content-type: application/x-www-form-urlencoded\r\n";
$headers .= "Content-Length: ".strlen ($data)."\r\n";
$headers .= "\r\n"; $headers .= $data;}else $headers.="\r\n";
@fwrite($fp, $headers); while($file != "\r\n") $file = @fgets($fp, 128);
$file = ''; while(!feof($fp)) $file .= @fgets($fp, 4096); @fclose($fp); }
################
//кодировка utf и win1251
$file = iconv("windows-1251", "UTF-8", $file);
//меняем дивы
$file=str_replace('<div class="title">','<div class="clouds">', $file);
//тут пишем свою папку вместо fishka если надо
$file=str_replace('en.fishki.net',''.$_SERVER['HTTP_HOST'].'/pict/comment.php', $file);
//меняем адрес
$file=str_replace('pda.fishki.net',''.$_SERVER['HTTP_HOST'].'/pict/comment.php', $file);

//убираем реклу и хуйню
$file=preg_replace('|<!DOCTYPE(.*?)<div class="post">|is','',$file);
$file=preg_replace('|<div class="clear">(.*?)</html>|is','',$file);
$file=preg_replace('|<div class="comment">(.*?)</html>|si','',$file);

// заменяем ссылки
$file=str_replace('<a href="http://fishki.net/picsw/','<a href="' .$homeurl. '/pict/load_file.php?file=', $file);
$file=str_replace('<a href="http://ru.fishki.net/picsw/','<a href="' .$homeurl. '/pict/load_files.php?file=', $file);
//выводим результ
echo $file;
//подключаем ножки

navig();
foot();
?>